#!/usr/bin/env bash

if [ ! -d "babeled" ] 
then
  mkdir "babeled"
  echo "created Babeled folder." 
  echo
fi

babeler () {
  main="./node_modules/$1"
  lib="$main/lib"
  src="$main/src"
  dst="./babeled/$1"

  echo "Babeler: $1"

  # move ES6 lib to src folder
  if [ ! -d $src ] 
  then
    mv $lib $src
    echo "Source didn't exist. - renamed" 
  fi

  # Run babel
  if [ ! -d $lib ] 
  then
    npx babel $src --out-dir $lib
  fi

  # Copy content from node_modules
  if [ ! -d $dst ] 
  then
    cp -a $main $dst 
    rm -rf "$dst/src"
    echo "Copied module files"
  fi
  
  echo
}

babeler "parse5"
babeler "parse5-htmlparser2-tree-adapter"

